#headerWrapper
{
    background-image: url("images/bg.png");
}
#header
{
    justify-content: space-between;
    background: var(--gradientBackgroundr);
    /*border-left: 2px inset var(--primaryclr);*/
    border-bottom-right-radius: 2rem;
    box-shadow: 0.2rem 0.2rem 0.4rem color-mix(in srgb, var(--primaryclr) 40%, transparent);
}

/**** main menu ***/
#mainMenu
{
    width: fit-content;
    margin-left: auto;
    margin-right: 1rem;
}
#mainMenu .menuLinkLevel1
{
    color: var(--secondaryclr);
    text-shadow: 1px 1px 3px var(--primaryclr);
    letter-spacing: 2px;
}
.notouch #mainMenu li.level1:hover .menuLinkLevel1
{
    color: wheat;
    background-color: transparent;
}
#mainMenu .hasSubItems > span
{
    rotate: 180deg;
    transform: translateY(0.2rem);
    transition: all 0.8s ease-in-out;
}
.notouch #mainMenu li.level1:hover .hasSubItems > span
{
    rotate: 0deg;
    transform: translateY(0);
}
li.level1 > .withSub
{
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
}
/*
li.level1 > .subMenuOuterWrapper
{
    position: absolute;
    max-width: 0;
    width: auto;
    max-height: 0;
    height: auto;
    overflow: clip;
}

li.level1:hover > .subMenuOuterWrapper
{
    max-width: 18rem;
    max-height: 90dvh;
}
*/
#mainMenu .menuLinkLevel1.hasSubItems
{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
    height: 100%;
}


#mainMenuWrapper ul.menu.fourColMenu,
#mainMenuWrapper ul.menu.threeColMenu,
#mainMenuWrapper ul.menu.twoColMenu
{
    display: grid;
    grid-column-gap: 1.5rem;
    background-color: white;
}

a.level2
{
    white-space: nowrap;
}

#mainMenuWrapper ul.level3.menu.fourColMenu,
#mainMenuWrapper ul.level3.menu.threeColMenu,
#mainMenuWrapper ul.level3.menu.twoColMenu
{
    font-size: 0.9rem;
}

#mainMenuWrapper ul.level2.menu.fourColMenu
{
    transform: translateX(-60%);
}

#mainMenuWrapper ul.menu.fourColMenu
{
    grid-template-columns: repeat( 4, 1fr );
}

#mainMenuWrapper ul.menu.threeColMenu
{
    grid-template-columns: repeat( 3, 1fr );
}

#mainMenuWrapper ul.menu.twoColMenu
{
    grid-template-columns: repeat( 2, 1fr );
}

.fourColMenu a
{
    white-space: nowrap;
}

@media (max-width: 880px)
{
    #mainMenu .menuLinkLevel1
    {
        letter-spacing: 1px;
        font-size: 0.8rem;
    }
}